curl --request GET \
--url https://{host}/coupon/api/v1/customers/{customerId}/couponsimport requests
url = "https://{host}/coupon/api/v1/customers/{customerId}/coupons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{host}/coupon/api/v1/customers/{customerId}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableCoupons": [
{
"campaignId": "71e605a1-fb58-41ee-9605-d8ec44ad9e87",
"couponId": "26a19298-247f-4da0-888d-f8b4e0f7571c",
"dateToPickUp": "2026-09-09T09:57:59.7582337Z",
"reservedBy": "pos-123",
"reservedUntil": "2026-08-17T09:57:59.7582345Z",
"receiptDisplayText": "10% off Coca-Cola products",
"campaignType": "appCoupon",
"discount": {
"priority": 5,
"allowOtherDiscountsOnTop": false,
"itemsApplicationType": "NonDiscountedItems",
"impactLevel": "Line",
"maxDiscountAmount": 5,
"maxDiscountAmountPerCoupon": 0,
"maxNumberApplyPerReceipt": 1,
"maxNumberApplyPerReceiptDecimal": 1,
"applyOnHighestPrice": false,
"applicationType": "OnThreshold",
"discountType": "SimpleLine",
"checkoutTypes": null,
"rewardRedemptionSettings": null,
"rules": [
{
"type": "Percentage",
"value": 0.1,
"thresholdType": "Quantity",
"thresholdValue": 1,
"affiliations": [
{
"type": "Product",
"id": "coca-cola",
"applicationType": "Include"
}
]
}
]
},
"content": {
"iconTags": [],
"title": "10% Off Coca-Cola",
"description": "Get 10% off on all Coca‑Cola products.",
"brand": "Coca‑Cola",
"imageUrl": "https://example.com/images/coca-cola-discount.png",
"discountLabel": "10% OFF",
"normalPriceLabel": "Regular Price",
"pricePerUnitLabelEnabled": null,
"unitOfMeasure": "EA",
"conditionLabel": "Valid on Coca‑Cola products only",
"receiptDisplayText": "10% off Coca‑Cola products",
"tags": null,
"icons": null,
"autogenerateDiscountLabel": null
},
"storeIds": null,
"chainIds": [
"chain-001"
],
"fundedBy": null
}
]
}Get customer coupons
Returns coupons that can be used in provided store. If storeId is not provided, returns coupons available in any store.
If coupons are reserved they are still returned, but ReservedBy and ReservedUntil will be populated. It is up to the consumer to decide if such coupons should be used.
If includeOfferData is set to false, ReceiptDisplayText, CampaignType and Discount will not be populated.
Path Parameters
Query Parameters
Optional. If not provided, returns coupons available in any store
Should discount and other offer information be included
For offline scenarios, time when purchase was done. If not set, Now is used
For offline scenarios, idempotency key of the purchase used during redeem. If set, coupons that were redeemed with the key are still returned as active
Response
OK
Show child attributes
Show child attributes